## vlc 1.0.2-1ubuntu1~ppa1

=== debian/changelog ===
vlc (1.0.2-1ubuntu1~ppa1) jaunty; urgency=low

  * Automated backport upload; no source changes.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 26 Sep 2009 00:13:05 +0200

vlc (1.0.2-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #435524), remaining changes:
    - build against xulrunner-dev instead of iceape-dev
    - build against libx264-dev and install libx264 plugin
    - add Xb-Npp header to vlc package
    - recommend vlc-plugin-pulse for vlc

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 25 Sep 2009 14:44:17 +0200

vlc (1.0.2-1) unstable; urgency=high

  * New upstream release
    + Fix some stack overflows in MP4, ASF and AVI demuxers
      (VideoLAN-SA-0902, CVE pending)(urgency=high)
    + Closes: #540145, #542108
  * Fix kfreebsd FTBFS and simplify (Closes: #545863) 
    Thanks to Petr Salinger
  * Fix Hurd install
  * Update libvlccore symbol file
  * Remove libass API patch
  * Remove uneeded build-deps

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 20 Sep 2009 01:08:41 +0200

vlc (1.0.1-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #426693), remaining changes:
    - build against xulrunner-dev instead of iceape-dev
    - build against libx264-dev and install libx264 plugin
    - add Xb-Npp header to vlc package
  * Recommend vlc-plugin-pulse for vlc, so that pulse can be used as default
    output.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 09 Sep 2009 10:24:09 +0200

vlc (1.0.1-2) unstable; urgency=low

  * Fix typo in debian/changelog
  * Allow building against libass 0.9.7
  * Don't try to install v4l2 modules on kfreebsd
  * Set policy to 3.8.3 (no change needed)
  * No need of qt4-dev-tools
  * Add a README.source about quilt
  * Disable some modules (kate, mtp, fluidsynth)
  * Don't distribute the *.install-kfreebsd* files as they are generated 

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 06 Sep 2009 19:07:24 +0200

vlc (1.0.1-1ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Aug 2009 22:02:06 +0200

vlc (1.0.1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #406602, #407570), remaining changes:
    - build against xulrunner-dev instead of iceape-dev
    - build against libass-dev and libx264-dev
    - build against and install libx264 plugin
    - add Xb-Npp header to vlc package

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 01 Aug 2009 05:54:24 +0300

vlc (1.0.1-1) unstable; urgency=low

  * New upstream bugfix version
    + Fix integer underflow in Real RTSP (DZC-2009-001, CVE pending)
    + Fix crashes in xspf files handler (LP: #365638)

  [ Reinhard Tartler ]
  * Add versioned build dependency on libschroedinger-dev

  [ Christophe Mutricy ]
  * Really build altivec-free libvlccore (Closes: #523035)
  * Depends on libdvbpsi5-dev and protect against future renaming of 
    libdvbpsi development package
  * Remove patches applied upstream

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 29 Jul 2009 00:21:39 +0200

vlc (1.0.0-1ubuntu1) karmic; urgency=low

  * Remaining changes to debian:
    - build against libxul-dev instead of iceape-dev
    - build against libass-dev and libx264-dev
    - build against and install libx264 plugin
    - add Xb-Npp header to vlc package

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2009 16:18:23 +0200

vlc (1.0.0-1) unstable; urgency=low

  * New Upstream Release
    + Closes: #536081, LP: #396548
    + Refresh patches
  * no longer closes when pausing from the notification area, LP: #371515
  * fix encoding bug when opening subtitles with non-latin characters,
    LP: #394449
  * Don't install the alsa and OSS access module on kfreeBSD (Closes:
    #535101) - thanks to Javier Mendez Gomez
  * Force at least libvlc 1.0.0 becasue of tha soname change of
    libvlccore
  * Delete a symbols who was present by mistake.
  * No need for dh_desktop. It's a no-op
  * New standard version. No change needed
  * Fix make distclean. New patch taken from upstream
  * Upstream make distcheck has been fixed. No need to save Changelog

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 09 Jul 2009 13:04:20 +0000

vlc (1.0.0~rc2-1ubuntu1) karmic; urgency=low

  * New upstream version.
  * tighten build-dependencies on libschroedinger-dev, fixes FTBFS.
  * Following bugs have an associated and now closed upstream ticket in
    Launchpad: LP: #281295, #73449, #282567, #117640, #172938, #260918,
    #273685, #275043, #277834, #282394, #290753, #294136, #298925, #304265,
    #309728, #311742, #314038
  
 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Jun 2009 12:28:15 +0200

vlc (1.0.0~rc2-1) experimental; urgency=low

  * New Upstream Release Candidate
    + Closes: #527010, #491441, #508618, #522824
  * Delete patches which were picked from upstream
  * Refresh patches
  * Remove vlc-plugin-esd and vlc-plugin-arts as they have been removed
    by upstream
  * SONAME change for libvlccore
  * Add new symbols for libvlc2
  * Fix static libs compile
  * Use vlc-wrapper manpage from upstream
  * vlc.install: add drawable and screen was renamed x11_screen
  * vlc-nox.install: Add and remove modules added/removed upstream
  * Point out in NEWS the modules renamed or splited
  * Add links to upstream NEWS and co in vlc-nox
  * Version the depedency of libvlcore2 on vlc-data
  * Remove unnecessary "Section:" in debian/control

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 03 Jun 2009 17:55:10 +0200

vlc (0.9.9a-3) unstable; urgency=medium

  * Correct typo in 0.9.9a-2 changelog entry
  * Disable more optimization with DEB_BUILD_OPTIONS=noopt
  * Cache the configure test results as we're running configure several
    times
  * Fix building as root
  * Fix the clean target
  * Remove unexistant config options
  * Better check commad line
  * Use all the procs on i386 and amd64

