=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Clément Stenac <zorglub@debian.org>,
           Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>
Build-Depends: debhelper (>= 7),
               dh-buildinfo,
               gettext,
               quilt,
               nasm,
               yasm [amd64 kfreebsd-amd64],
               xulrunner-dev,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev (>= 0.9.0beta10a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libass-dev (>= 0.9.5-2),
               libavahi-client-dev,
               libavcodec-dev (>= 0.cvs20060823),
               libavformat-dev (>= 0.cvs20060823),
               libcaca-dev (>= 0.99.beta4),
               libcdio-dev,
               libdca-dev,
               libdvbpsi5-dev | libdvbpsi-dev,
               libdvdnav-dev,
               libdvdread-dev (>= 0.9.5),
               libfaad-dev,
               libflac-dev (>= 1.1.2-3),
               libfreetype6-dev,
               libfribidi-dev,
               libggi2-dev,
               libgl1-mesa-dev,
               libglib2.0-0,
               libgnutls-dev (>= 1.2.8),
               libhal-dev (>= 0.5.5.1-3) [!hurd-i386],
               libid3tag0-dev,
               libjack-dev,
               liblircclient-dev,
               liblivemedia-dev (>= 2008.07.24),
               liblua5.1-0-dev,
               libmad0-dev,
               libmatroska-dev (>= 0.8.0),
               libmodplug-dev,
               libmpcdec-dev,
               libmpeg2-4-dev,
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev,
               libpng12-dev,
               libpostproc-dev (>= 0.cvs20060823),
               libpulse-dev,
               libqt4-dev,
               libschroedinger-dev (>= 1.0.7-1~),
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3),
               libshout3-dev,
               libsmbclient-dev,
               libspeex-dev,
               libsvga1-dev [amd64 i386],
               libswscale-dev,
               libsysfs-dev,
               libtag1-dev,
               libtar-dev,
               libtheora-dev,
               libtwolame-dev (>= 0.3.8),
               libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libvcdinfo-dev,
               libvorbis-dev,
               libx11-dev,
               libx264-dev,
               libxext-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               libxv-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://www.videolan.org/vlc
Vcs-Git: git://git.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vlc.git;a=shortlog;h=refs/heads/karmic

Package: vlc
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ttf-dejavu-core
Recommends: vlc-plugin-pulse (= ${binary:Version})
Suggests: mozilla-plugin-vlc,
          videolan-doc
Replaces: vlc-nox (<< 0.9.2-1)
Conflicts: vlc-nox (<< 0.9.2-1)
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl)
 or video plugins (vlc-plugin-sdl, vlc-plugin-ggi, vlc-plugin-svgalib). There
 is also a web browser plugin in the mozilla-plugin-vlc package.

Package: vlc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         vlc-nox (= ${binary:Version})
Description: debugging symbols for vlc
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 This package contains the debugging symbols for vlc.

Package: vlc-nox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: vlc (<< 0.9.8a-3)
Conflicts: vlc (<< 0.9.8a-3)
Provides: mp3-decoder
Description: multimedia player and streamer (without X support)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl,
 vlc-plugin-jack) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-svgalib). There is also a web browser plugin in  the
 mozilla-plugin-vlc package.
 .
 This package contains a version of VLC that does not require X and that is
 thus suitable for headless servers.

Package: libvlccore2
Section: libs
Architecture: any
Depends: vlc-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: base library for VLC and its modules
 This package contains the shared library required by VLC modules and libvlc.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlc2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: vlc (<< 0.8.6.c-6)
Conflicts: vlc (<< 0.8.6.c-6)
Description: multimedia player and streamer library
 This package contains the shared library required by applications using VLC
 features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Depends: libvlccore2 (= ${binary:Version}), pkg-config,
         ${shlibs:Depends}, ${misc:Depends}
Description: development files for libvlccore
 This package contains headers and a static library required to build plugins
 for VLC.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlc-dev
Section: libdevel
Architecture: any
Depends: libvlc2 (= ${binary:Version}), libvlccore-dev, pkg-config,
         ${shlibs:Depends}, ${misc:Depends}
Replaces: libvlc0-dev
Conflicts: libvlc0-dev
Description: development files for libvlc
 This package contains headers and a static library required to build 
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc-nox, ${shlibs:Depends}, ${misc:Depends}
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc-nox, ${shlibs:Depends}, ${misc:Depends}
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc-nox (= ${binary:Version}), vlc, ${shlibs:Depends}, ${misc:Depends}
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384,
                     92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
Xb-Npp-Name: VLC Multimedia Plugin
Xb-Npp-Description: play video and audio in firefox using the VLC Multimedai Player
Xb-Npp-File: libvlcplugin.so
Xb-Npp-MimeType: audio/mpeg,
                 audio/x-mpeg,
                 video/mpeg,
                 video/x-mpeg,
                 video/mpeg-system,
                 video/x-mpeg-system,
                 video/mpeg4,
                 audio/mpeg4,
                 application/mpeg4-iod,
                 application/mpeg4-muxcodetable,
                 video/x-msvideo,
                 video/quicktime,
                 application/x-ogg,
                 application/ogg,
                 application/x-vlc-plugin,
                 video/x-ms-asf-plugin,
                 video/x-ms-asf,
                 application/x-mplayer2,
                 video/x-ms-wmv,
                 application/x-google-vlc-plugin,
                 audio/wav,
                 audio/x-wav,
                 audio/3gpp,
                 video/3gpp,
                 audio/3gpp2,
                 video/3gpp2
Description: multimedia plugin for web browsers based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Gecko-based web browser (Firefox, Galeon, etc.). The
 decoding process is done by VLC and the output window is embedded in a
 webpage or directly in the browser window. There is also support for
 fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-svgalib
Architecture: amd64 i386
Depends: vlc-nox (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SVGAlib video output plugin for VLC
 This plugin adds support for SVGAlib to the VLC media player. To
 activate it, use the `--vout svgalib' flag or select the `svgalib' video
 output plugin from the preferences menu. Note that you will need root
 permissions to use SVGAlib.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-jack
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Jack audio plugins for VLC
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.
